This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 192547 - clock applet wrongly "rendered"
clock applet wrongly "rendered"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
8
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-20 07:51 EDT by Piergiorgio Sartor
Modified: 2009-01-08 23:34 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:34:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2006-05-20 07:51:59 EDT
Description of problem:
This is a funny one!
I just updated from FC4 to FC5 an other PC. On this one the gnome-panel
is on the right side.
Everyhing is fine, except the clock, the time is redered 90 degrees rotated,
i.e. I've to bend my head to the right to read it properly!
I could not find any way to put it horizontally...

Version-Release number of selected component (if applicable):
2.14.1-1.fc5.1

How reproducible:
Well, always, I would say.

Steps to Reproduce:
1.
Install the applet clock
2.
Set the gnome-panel to the right side.
3.
  
Actual results:
The time from the clock is rendered from top to bottom, 90 degrees
clockwise rotated.

Expected results:
The time is rendered from left to right..

Additional info:
I tried to put the gnome-panel left, top, bottom.
Result is that on the left the time is also 90 degrees rotated, but
counter clockwise.
On the bottom it is OK, and on the top it is also OK, which must
be clearly a bug, I would expect it upside down... :-)
Selecting the time opens the calendar, which is properly displayed.
Comment 1 Piergiorgio Sartor 2007-12-11 11:07:17 EST
Ops! It seems the issue resurfaced in Fedora 8.
Specifically, this time the clock applet is trying to fit the hours:minutes
string into the (vertical) panel.
If it succeed, the time is displayed properly, if it fails, it will render the
text vertically (one has to bend the head left to read it).

IMHO, if the text does not fit, it should still be displayed horizontally,
eventually with scrolling, or vertically, but like:

hh
mm

So that it is still readable...

Thanks!
Comment 2 Piergiorgio Sartor 2008-06-03 09:22:00 EDT
Fedora 9 still has the same idiosyncrasy, the clock applet is rendered
horizontally or vertically depending on the text size.

I guess it is pointless to be able to have the gnome-panel vertical and then
render the text like only horizontal is supported.

pg
Comment 3 Bug Zapper 2008-11-26 01:58:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-08 23:34:09 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.